/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.seddb.model;
// Generated 14.06.2012 11:30:57 by Hibernate Tools 3.4.0.CR1


import java.math.BigDecimal;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * Gewaesser generated by hbm2java
 */
@Entity
@Table(name="GEWAESSER"
    ,schema="SEDDB"
    , uniqueConstraints = @UniqueConstraint(columnNames="NAME")
)
public class Gewaesser  implements java.io.Serializable {


     private long gewaesserid;
     private String name;
     private String kennung;
     private BigDecimal laenge;
     private BigDecimal einzugsgebiet;
     private String bemerkung;
     private Set<Bezugspegel> bezugspegels = new HashSet<Bezugspegel>(0);
     private Set<Station> stations = new HashSet<Station>(0);

    public Gewaesser() {
    }

    public Gewaesser(long gewaesserid, String name) {
        this.gewaesserid = gewaesserid;
        this.name = name;
    }
    public Gewaesser(long gewaesserid, String name, String kennung, BigDecimal laenge, BigDecimal einzugsgebiet, String bemerkung, Set<Bezugspegel> bezugspegels, Set<Station> stations) {
       this.gewaesserid = gewaesserid;
       this.name = name;
       this.kennung = kennung;
       this.laenge = laenge;
       this.einzugsgebiet = einzugsgebiet;
       this.bemerkung = bemerkung;
       this.bezugspegels = bezugspegels;
       this.stations = stations;
    }

     @Id


    @Column(name="GEWAESSERID", unique=true, nullable=false, precision=11, scale=0)
    public long getGewaesserid() {
        return this.gewaesserid;
    }

    public void setGewaesserid(long gewaesserid) {
        this.gewaesserid = gewaesserid;
    }


    @Column(name="NAME", unique=true, nullable=false, length=20)
    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }


    @Column(name="KENNUNG", length=11)
    public String getKennung() {
        return this.kennung;
    }

    public void setKennung(String kennung) {
        this.kennung = kennung;
    }


    @Column(name="LAENGE", precision=7, scale=3)
    public BigDecimal getLaenge() {
        return this.laenge;
    }

    public void setLaenge(BigDecimal laenge) {
        this.laenge = laenge;
    }


    @Column(name="EINZUGSGEBIET", precision=10)
    public BigDecimal getEinzugsgebiet() {
        return this.einzugsgebiet;
    }

    public void setEinzugsgebiet(BigDecimal einzugsgebiet) {
        this.einzugsgebiet = einzugsgebiet;
    }


    @Column(name="BEMERKUNG", length=240)
    public String getBemerkung() {
        return this.bemerkung;
    }

    public void setBemerkung(String bemerkung) {
        this.bemerkung = bemerkung;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="gewaesser")
    public Set<Bezugspegel> getBezugspegels() {
        return this.bezugspegels;
    }

    public void setBezugspegels(Set<Bezugspegel> bezugspegels) {
        this.bezugspegels = bezugspegels;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="gewaesser")
    public Set<Station> getStations() {
        return this.stations;
    }

    public void setStations(Set<Station> stations) {
        this.stations = stations;
    }




}


